Bug 249022 - news/sabnzbdplus: Update to 3.0.2
Summary: news/sabnzbdplus: Update to 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/sabnzbd/sabnzbd/re...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-08-30 23:51 UTC by James French
Modified: 2020-09-28 08:45 UTC (History)
2 users (show)

See Also:
james: maintainer-feedback+


Attachments
Patch to 3.0.2 (920 bytes, patch)
2020-08-30 23:51 UTC, James French
james: maintainer-approval+
Details | Diff
Poudriere build log (31.99 KB, text/plain)
2020-08-30 23:53 UTC, James French
no flags Details
Patch to 3.0.2, set MASTER_SITES to use upstream tarball (1.46 KB, patch)
2020-09-04 05:40 UTC, James French
no flags Details | Diff
Poudriere Build Log (31.81 KB, text/plain)
2020-09-04 05:40 UTC, James French
james: maintainer-approval+
Details
Patch for sabnzbdplus (1.55 KB, patch)
2020-09-26 22:02 UTC, daniel.engberg.lists
daniel.engberg.lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James French 2020-08-30 23:51:33 UTC
Created attachment 217661 [details]
Patch to 3.0.2

Maintainer patch, bugfix release.

Applicable Fixes:
- Priority was not parsed correctly if supplied as through the API.
- API-call addfile could fail if name and nzbfile were used.
- Permissions were still not set correctly when creating directories.
- Propagation delay label was shown even if no delay was activated.
- Reading RSS feed with no categories set could result in crash.
- Jobs with numeric names could crash post-processing.
- Jobs with missing articles could result in crash.

No need to merge-quarterly as quarterly branch is still on the 2.x series (pre Python 3 Port) and unaffected by the above bugs.
Comment 1 James French 2020-08-30 23:53:05 UTC
Created attachment 217662 [details]
Poudriere build log
Comment 2 Automation User 2020-08-31 00:21:03 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/183661583
Comment 3 daniel.engberg.lists 2020-08-31 00:42:22 UTC
Is there a reason why the official release archive/tarball isn't used? 5.4.3 in Porter's Handbook suggests that pulling source from GitHub repo should be avoided if such a file is available.

https://github.com/sabnzbd/sabnzbd/releases/tag/3.0.2 --> https://github.com/sabnzbd/sabnzbd/releases/download/3.0.2/SABnzbd-3.0.2-src.tar.gz

Best regards,
Daniel
Comment 4 James French 2020-08-31 08:25:31 UTC
(In reply to daniel.engberg.lists from comment #3)

Hi Daniel,

I've only just taken over maintainership (since 3.0.0) and the GitHub was in the port when I picked it up.

I'll have a look at swapping to the source tarball although I may have intermittent internet access for the next 48 hours or so. 

The port itself is also currently incorrectly named, sabnzbd+ dropped the plus when sabnzbd died completely. That's on my list of things to fix at a later date once the dust settles from the version 3 bump.
Comment 5 James French 2020-08-31 11:57:45 UTC
(In reply to daniel.engberg.lists from comment #3)

Now that I've had a chance to actually sit down, with the manual, I'm not entirely sure I agree that it states the use of USE_GITHUB is to be avoided. The handbook suggests it as an option when source tarballs are unavailable. It's softly implied, but it's by no means explicit one way or the other.

For my own interest's sake, on an up to date ports tree:

find /usr/ports -name Makefile | xargs grep MASTER_SITES | grep -i github | wc -l
     434

vs 

find /usr/ports -name Makefile | xargs grep USE_GITHUB | wc -l
    4528

Rightly or wrongly, ports pulling from GitHub outnumber those using MASTER_SITES almost 10:1 at this time. I find it hard to believe that most of those don't have release files available.

In this case, as the source tarball is only hosted on GitHub, I don't see that it makes a considerable amount of difference changing to straight MASTER_SITES at this time.
Comment 6 daniel.engberg.lists 2020-08-31 21:43:47 UTC
There are several reasons why many ports doesn't use MASTER_SITES despite being on GitHub, many projects simply doesn't provide release archives/tarballs (this seems to be common for projects written in rust or go for instance). Other reasons might be that it wasn't available when the port was created, unit tests are stipped (only valid if used for test target) and so on. There are efforts to do this but it takes time and is sometimes simply missed.
Example: (mid page and older commits)
https://github.com/freebsd/freebsd-ports/commits?after=9efc13cef085cdfd88ecc8a1c4c0608a5d7a9b6f+69&author=sunpoet 
While availability might not always be better it's a static file and usually smaller such in this case (~4Mbyte vs ~2.6Mbyte).
Comment 7 James French 2020-09-01 09:19:07 UTC
(In reply to daniel.engberg.lists from comment #6)

I'll add it to my to-do list for the port, and will probably take a look at it in the next few days when I'm back on a more reliable internet connection.

In the mean time, patches are always appreciated.
Comment 8 James French 2020-09-04 05:40:12 UTC
Created attachment 217733 [details]
Patch to 3.0.2, set MASTER_SITES to use upstream tarball

As per previous patch, swaps from using GitHub tree to MASTER_SITES as requested.
Comment 9 James French 2020-09-04 05:40:43 UTC
Created attachment 217734 [details]
Poudriere Build Log
Comment 10 daniel.engberg.lists 2020-09-26 22:02:57 UTC
Created attachment 218340 [details]
Patch for sabnzbdplus

Patched based on James French's latest submitted patch.
Rearrange Makefile to make portlint happy

Compile tested on FreeBSD 13.0-CURRENT #0 r364979 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 11 James French 2020-09-27 04:30:10 UTC
(In reply to daniel.engberg.lists from comment #10)

Ta, could you please set maintainer-approval to ? james@french.id.au and I will approve it.

Alternatively, 3.1.0 is about to drop and if this is still in limbo by then I will probably obsolete this report and raise a new one (incorporating your patch).
Comment 12 daniel.engberg.lists 2020-09-27 05:38:20 UTC
Sure, thats fine! :-)
Comment 13 commit-hook freebsd_committer 2020-09-28 08:43:52 UTC
A commit references this bug:

Author: arrowd
Date: Mon Sep 28 08:43:08 UTC 2020
New revision: 550409
URL: https://svnweb.freebsd.org/changeset/ports/550409

Log:
  news/sabnzbdplus: Update to 3.0.2

  PR:		249022
  Submitted by:	James French <james@french.id.au>
  Reviewed by:	daniel.engberg.lists@pyret.net

Changes:
  head/news/sabnzbdplus/Makefile
  head/news/sabnzbdplus/distinfo
Comment 14 Gleb Popov freebsd_committer 2020-09-28 08:45:07 UTC
Committed, thanks.